#!/bin/sh

UNVS=universal-arm
MACHINE=Creator3Pro
PID=0014

rm -rf /opt/backup
udhcpc -i eth0 &
sleep 3
for i in 1 2 3 4;
do
  if [ ! -e /dev/sda$i ]; then
     echo "sda$i not exist"
	 if [ ! -e /dev/sda ];then
     	continue
	 else
	 	echo "find /dev/sda. start mount."
  		mount -t vfat -o rw /dev/sda /mnt
	 fi
  else
  	mount -t vfat -o rw /dev/sda$i /mnt
  fi

  if [ $? -ne 0 ]; then
        echo "mount /dev/sda or /dev/sda$i to /mnt failed"
        continue
  else
  		ls -1t /mnt/Creator3Pro*.tgz
		if [ $? -eq 0 ];then
			UPDATEFILE=`ls -1t /mnt/Creator3Pro*.tgz | head -n 1`
			if [ -f $UPDATEFILE ];then
				echo "find update file: ${UPDATEFILE}"
				rm -rf /data/update
				cp -a ${UPDATEFILE} /data/
				if [ $? -ne 0 ];then
					rm -rf /data/Creator3Pro*.tgz
					sync
					umount /mnt
					break
				fi
				sync
				mkdir -p /data/update
				sync
				SRCFILE="/data/`basename ${UPDATEFILE}`"
				if [ -f ${SRCFILE} ];then
					tar -xzvf ${SRCFILE} -C /data/update/
					sync
					rm -rf ${SRCFILE}
					if [ -f /data/update/$PID ] || [ -f /data/update/$UNVS ]; then

						/data/update/flashforge_init.sh ${MACHINE} ${PID}
						if [ $? -eq 0 ];then
							umount /mnt
							rm -rf /data/update
							sleep 100000
						fi
					
						umount /mnt
						rm -rf /data/update
						break
					fi
				fi
			fi
		fi
	if [ -f /mnt/$PID ] || [ -f /mnt/$UNVS ]; then
        	if [ -f /mnt/flashforge_init.sh ]; then
             		echo "found /mnt/flashforge_init.sh"
             		chmod a+x /mnt/flashforge_init.sh
             		/mnt/flashforge_init.sh ${MACHINE} ${PID}
			if [ $? -eq 0 ];then
				umount /mnt
				sleep 100000
			fi
             		umount /mnt
             		break
        	fi
	fi
        umount /mnt
  fi
done

insmod /lib/modules/3.4.39/8188fu.ko

ifconfig wlan0 up
wpa_supplicant -d -Dwext -i wlan0 -c /etc/wpa_supplicant.conf -B

ifconfig wlan0 | grep wlan0 | grep HWaddr |tr -s ' '| cut -d ' ' -f5 > /opt/WiFiMAC
sync

killall wpa_supplicant
killall wpa_cli

if [ ! "`mount | grep "mmcblk0p3"`" ]; then
	echo "mmcblk0p3 not mounted and will fsck";
	fsck -y /dev/mmcblk0p3 && mount /dev/mmcblk0p3 /data;
fi

                                                                           
if [ ! -d /data ]; then
  	mkdir /data
fi

if [ ! -d /data/log ]; then
  	mkdir /data/log
fi

if [ ! -d /opt/flashforge ];then
	mkdir /opt/flashforge
fi

if [ ! -d /data/pics ]; then
        mkdir /data/pics
fi


if [ ! -f /etc/pointercal ];then                     
        cp /opt/tslib-1.4/etc/pointercal /etc/   
fi 


#TSLIB                                                                                   
TSLIBDIR=/opt/tslib-1.4                                                      
export TSLIB_TSDEVICE=/dev/input/event0                             
export TSLIB_CALIBFILE=$TSLIBDIR/etc/pointercal                             
export TSLIB_CONSOLEDEVICE=none                                             
export TSLIB_FBDEVICE=/dev/fb0                                              
export TSLIB_TSEVENTTYPE=INPUT                                              
export TSLIB_CONFFILE=$TSLIBDIR/etc/ts.conf                                                           
export TSLIB_PLUGINDIR=$TSLIBDIR/lib/ts       
export QWS_MOUSE_PROTO="TSLIB:/dev/input/event0"                                                                     
export LD_LIBRARY_PATH=$TSLIBDIR/lib:$LD_LIBRARY_PATH                                                              
# QT4                                                                                                 
QTDIR=/opt/qt-4.8.6
export QT_QPA_PLATFORM_PLUGIN_PATH=$QTDIR/plugins
export QT_QPA_PLATFORM=linuxfb:tty=/dev/fb0:size=480x800:mmsize=225x123:offset=0
export QWS_DISPLAY=transformed:rot180:LinuxFB:mmWidth225:mmHeight123:0
export QT_QWS_FONTDIR=$QTDIR/lib/fonts
export LD_PRELOAD=$TSLIBDIR/lib/libts.so
export QT_QPA_GENERIC_PLUGINS=tslib
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH 
export LD_LIBRARY_PATH=/opt/mjpg-streamer/lib:$LD_LIBRARY_PATH


cd /opt/software/
stdir=$(ls -ld [0-9]* |awk '/^d/ {print $NF}')
for startDir in $stdir
do
  echo $startDir
done

cp -f /opt/software/$startDir/rerun.sh /opt
cp -f /opt/software/$startDir/mydaemon.out /opt
sync

chmod a+x /opt/mydaemon.out
/opt/mydaemon.out &
/opt/ffstartup-arm -f /opt/ffstartup.cfg &



                                                                              
