#!/bin/sh

set -x

WORKDIR=`dirname $0`
FIRMWARE_M3=C3S_N32.bin
sleep 2
LOG=/data/log/creator3-arm.log
killall mydaemon.out
killall creator3-arm 1 -qws
sleep 1
echo "dispaly start on lcd" >> $LOG
if [ -f /opt/start.img ];then
    cat /opt/start.img > /dev/fb0
fi

if [ -f $WORKDIR/mydaemon.out ]; then
        cp -f $WORKDIR/mydaemon.out /opt
fi
sleep 2
if [ -f $WORKDIR/rerun.sh ]; then
        cp -f $WORKDIR/rerun.sh /opt
fi
sync
echo "WORKDIR="$WORKDIR >> $LOG
#$WORKDIR/run.sh &

if [ -f $WORKDIR/NationsCommand ];then
        chmod a+x $WORKDIR/NationsCommand
        if [ -f $WORKDIR/$FIRMWARE_M3 ];then
                echo "burn M3 firmware..." >> $LOG
                $WORKDIR/NationsCommand -c -d --fn $WORKDIR/$FIRMWARE_M3 --v -r 
		sleep 30
        fi
fi
sync
VERSIONCFG=version.cfg

if [ ! -f /opt/$VERSIONCFG ]; then
        touch /opt/$VERSIONCFG
        sync
fi

echo "[VersionInfo]" > /opt/$VERSIONCFG
echo "UpdateFlag=1" >> /opt/$VERSIONCFG
echo "AbortFlag=0" >> /opt/$VERSIONCFG
if [ -f /opt/play ]; then
        echo "play complete music" >> $LOG
        chmod a+x /opt/play
        /opt/play -qws
fi

if [ -f /opt/end.img ];then
    cat /opt/end.img > /dev/fb0
fi

exit 0
